Skip to main content
PUT
Update agent

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

agentId
string
required

Id of the Agent we want to update.

Body

application/json
displayName
string

Agent name to be displayed.

Maximum string length: 255
status
enum<string>

Agent availability.

Available options:
ACTIVE,
BUSY,
INVISIBLE,
AWAY
role
enum<string>
default:AGENT

Agent role.

Available options:
AGENT,
SUPERVISOR
enabled
boolean
default:true

Agent enabled/disabled toggle.

Response

OK

displayName
string
required

Agent name to be displayed.

Maximum string length: 255
id
string
read-only

Agent ID.

title
string
status
enum<string>

Agent availability.

Available options:
ACTIVE,
BUSY,
INVISIBLE,
AWAY
availability
enum<string>

Agent availability.

Available options:
ACTIVE,
BUSY,
INVISIBLE,
AWAY
role
enum<string>
default:AGENT

Agent role.

Available options:
AGENT,
SUPERVISOR
enabled
boolean
default:true

Agent enabled/disabled toggle.

createdAt
string<date-time>
read-only

Time stamp when agent is created.

updatedAt
string<date-time>
read-only

Time stamp when agent is last updated.